Halide 22.0.0 Halide compiler and libraries

Public Member Functions | List of all members
Halide::Internal::GeneratorParam_String< T > Class Template Reference

`#include <Generator.h>`

Inheritance diagram for Halide::Internal::GeneratorParam_String< T >:

## Public Member Functions
| GeneratorParam_String (const std::string &name, const std::string &value)
void | set_from_string (const std::string &new_value_string) override
std::string | get_default_value () const override
std::string | call_to_string (const std::string &v) const override
std::string | get_c_type () const override
Public Member Functions inherited from Halide::Internal::GeneratorParamImpl< T >
| GeneratorParamImpl (const std::string &name, const T &value)
T | value () const
| operator T () const
| operator Expr () const
void | set (const std::string &new_value)
Public Member Functions inherited from Halide::Internal::GeneratorParamBase
| GeneratorParamBase (const std::string &name)
virtual | ~GeneratorParamBase ()
const std::string & | name () const
void | set (const std::string &new_value)
void | set (const char *new_value)
| GeneratorParamBase (const GeneratorParamBase &)=delete
GeneratorParamBase & | operator= (const GeneratorParamBase &)=delete
| GeneratorParamBase (GeneratorParamBase &&)=delete
GeneratorParamBase & | operator= (GeneratorParamBase &&)=delete

## Additional Inherited Members
Public Types inherited from Halide::Internal::GeneratorParamImpl< T >
using | type = T
Protected Member Functions inherited from Halide::Internal::GeneratorParamImpl< T >
virtual void | set_impl (const T &new_value)
Protected Member Functions inherited from Halide::Internal::GeneratorParamBase
void | check_value_readable () const
void | check_value_writable () const
virtual void | set_from_string (const std::string &value_string)=0
virtual std::string | call_to_string (const std::string &v) const =0
virtual std::string | get_c_type () const =0
virtual std::string | get_type_decls () const
virtual std::string | get_default_value () const =0
virtual bool | is_synthetic_param () const
virtual bool | is_looplevel_param () const
void | fail_wrong_type (const char *type)
Protected Attributes inherited from Halide::Internal::GeneratorParamImpl< T >
T | value_

## Detailed Description

template<typename T>
class Halide::Internal::GeneratorParam_String< T >

Definition at line 919 of file Generator.h.

## Constructor & Destructor Documentation

## ◆ GeneratorParam_String()

template<typename T >

Halide::Internal::GeneratorParam_String< T >::GeneratorParam_String | ( | const std::string & | name,
|  | const std::string & | value
| ) |  |
| inline

Definition at line 921 of file Generator.h.

## Member Function Documentation

## ◆ set_from_string()

template<typename T >

void Halide::Internal::GeneratorParam_String< T >::set_from_string | ( | const std::string & | new_value_string | ) |
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Definition at line 924 of file Generator.h.

References Halide::Internal::GeneratorParamImpl< T >::set().

## ◆ get_default_value()

template<typename T >

std::string Halide::Internal::GeneratorParam_String< T >::get_default_value | ( |  | ) | const
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Definition at line 928 of file Generator.h.

References Halide::Internal::GeneratorParamImpl< T >::value().

## ◆ call_to_string()

template<typename T >

std::string Halide::Internal::GeneratorParam_String< T >::call_to_string | ( | const std::string & | v | ) | const
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Definition at line 932 of file Generator.h.

## ◆ get_c_type()

template<typename T >

std::string Halide::Internal::GeneratorParam_String< T >::get_c_type | ( |  | ) | const
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Definition at line 936 of file Generator.h.

The documentation for this class was generated from the following file:

- src/Generator.h